// These data are confidential
// and describe the right leg of
// HRP-2 10/14.
//
// Copyright 2010,
//
// Olivier Stasse,
//
// JRL/LAAS, CNRS/AIST
//
// This file is part of dynamicsJRLJapan.
// dynamicsJRLJapan is free software: you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// dynamicsJRLJapan is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Lesser Public License for more details.
// You should have received a copy of the GNU Lesser General Public License
// along with dynamicsJRLJapan.  If not, see <http://www.gnu.org/licenses/>.
//
//  Research carried out within the scope of the Associated
//  International Laboratory: Joint Japanese-French Robotics
//  Laboratory (JRL)
//


// Masses
m = ...
[ 2.5;  ...
  2.0; ...
  5.1; ...
  7.0; ...
  2.5; ...
  1.9; ...
];

// Inertia Matrices
I = ...
[ ... // Body 1
  [ 1.0 0.0 0.0]; ...
  [ 0.0 1.0 0.0]; ...
  [ 0.0 0.0 1.0]; ...
  ...  // Body 2
  [ 1.0 0.0 0.0]; ...
  [ 0.0 1.0 0.0]; ...
  [ 0.0 0.0 1.0]; ...
  ...  // Body 3
  [ 1.0 0.0 0.0]; ...
  [ 0.0 1.0 0.0]; ...
  [ 0.0 0.0 1.0]; ...
  ...  // Body 4
  [ 1.0 0.0 0.0]; ...
  [ 0.0 1.0 0.0]; ...
  [ 0.0 0.0 1.0]; ...
  ...  // Body 5
  [ 1.0 0.0 0.0]; ...
  [ 0.0 1.0 0.0]; ...
  [ 0.0 0.0 1.0]; ...
  ...  // Body 6
  [ 1.0 0.0 0.0]; ...
  [ 0.0 1.0 0.0]; ...
  [ 0.0 0.0 1.0]; ...
];

// Local center of masses
lc = ...
[ [0 0.1 0]; ...
  [0 0 -0.15]; ...
  [0 0.04 0.0]; ...
  [0 0 -0.3]; ...
  [-0.15 0.0 0.0]; ...
  [0.28 0 -0.2]; ...
];

// Local positions of joints
p= ...
[ [  0.0   0.09    0.0]; ...
  [  0.0   0.0    0.0]; ...
  [  0.0   0.0    -0.3535]; ...
  [  0.0   0.0    0.0]; ...
  [  0.0   0.0    0.3]; ...
  [  0.0   0.0    0.0]; ...
];

// Local rotation between frame
RS = ...
[ ... // Body 1
  [1 0 0];[0 1 0];[0 0 1]; ...
  ... // Body 2
  [0 1 0];[1 0 0];[0 0 -1];...
    ... // Body 3
  [0 1 0];[1 0 0];[0 0 -1]; ...
  ... // Body 4
  [1 0 0];[0 1 0];[0 0 1]; ...
  ... // Body 5
  [1 0 0];[0 1 0];[0 0 1]; ...
  ... // Body 6
  [0 1 0];[1 0 0];[0 0 -1]; ...
];


